CHPASSWD(8)

NAMN
chpasswd - uppdatera lösenord i satsläge

SYNOPSIS

chpasswd [flaggor]

BESKRIVNING

chpasswd reads a list of user name and password pairs from standard input and uses this information to update a group of existing users. Each line is of the format:

användarnamn:lösenord

By default the supplied password must be in clear-text. Default encryption algorithm is DES. Also the password age will be updated, if present.

This command is intended to be used in a large system environment where many accounts are created at a single time.

FLAGGOR

Flaggorna som gäller för kommandot chpasswd är:

-e, --encrypted
    Insända lösenord är i ett krypterat format.

-h, --help
    Visa hjälpmeddelande och avsluta.

-m, --md5
    Använd MD5-kryptering istället för DES när insända lösenord inte är krypterade.

TÄNK PÅ

Kom ihåg att ställa in rättigheter eller umask för att förhindra lÃ¤sning av okrypterade filer för andra användare.

SE OCKSÅ

passwd(1), newusers(8), useradd(8).